// AsGradientCell.cpp
//
#include "stdafx.h"
#include "AsGradientCell.h"
#include "DrawUtils.h"

CAsGradientCell::CAsGradientCell():
	topColor_(RGB(0xFD, 0xFD, 0xFD)),
	midTopColor_(RGB(0xEF, 0xEF, 0xEF)),
	midBottomColor_(RGB(0xDF, 0xDF, 0xDF)),
	bottomColor_(RGB(0xFF, 0xFF, 0xFF))
{
	fontInfo_.SetFontBold(true);
	fontInfo_.SetFontSize(11);
}

CAsGradientCell::~CAsGradientCell()
{}

void CAsGradientCell::Draw(CDC* pDC)
{
	DrawUtils::DrawAppleGradient(pDC, drawArea_, topColor_, midTopColor_, midBottomColor_, bottomColor_);

	CAsBaseCell::DrawText(pDC);
}

void CAsGradientCell::SetTopColor(COLORREF topColor)
{
	topColor_ = topColor;
}

COLORREF CAsGradientCell::GetTopColor() const
{
	return topColor_;
}

void CAsGradientCell::SetMidTopColor(COLORREF midTopColor)
{
	midTopColor_ = midTopColor;
}

COLORREF CAsGradientCell::GetMidTopColor() const
{
	return midTopColor_;
}

void CAsGradientCell::SetMidBottomColor(COLORREF midBottomColor)
{
	midBottomColor_ = midBottomColor;
}

COLORREF CAsGradientCell::GetMidBottomColor() const
{
	return midBottomColor_;
}

void CAsGradientCell::SetBottomColor(COLORREF bottomColor)
{
	bottomColor_ = bottomColor;
}

COLORREF CAsGradientCell::GetBottomColor() const
{
	return bottomColor_;
}
